import config from './config'
export default {
	namespaced: true,
	state: {
		status: {
			language: config.language.default,
		},
		label: {
			language: {},
			image: {},
			video: {},
			widget: {},
			info: {},
		},
		events: {}
	},
	getters: {
		label: state => state.label,
		status: state => state.status,
		events: state => state.events
	},
	mutations: {
		label: (state, value) => { state.label = value },
		status: (state, data) => { state.status[data.type] = data.value }
	}
}